@import url('https://fonts.googleapis.com/css2?family=Lora:wght@400;500;600;700&display=swap');

*{
    margin: 0;
    padding:0;
    box-sizing: border-box;
}

body{
    font-family: 'Lora', Arial, serif;
}

.center{
    width: 80%;
    margin: 0 auto;
}

.header-container .logo img{
    width: 120px;
    height: auto;
}

.header-container .header-text{
    color: #000;
    text-transform: uppercase;
    font-weight: 700;
    margin-top: 10px;
}

.header-container{
    margin-top: 20px;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 14px;
    width: 500px;
}

nav{
    background-color: #DB0002;
    margin-top: 16px; 
}

.nav-menu{
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}
.nav-active{
    background-color: #c50003;
}
.nav-menu li{
    cursor: pointer;
    padding: 8px 16px;
    list-style: none;
    text-transform: uppercase;
    transition: all 0.3s ease-in-out;
}

.nav-menu li:hover{
    background-color: #c50003;
}

.nav-menu a{
    text-decoration: none;
    color: #fff;
}
.burger-menu{
    display: none;
}

.links a{
    display: inline-block;
    text-decoration: none;
    color: #202020;
    font-size: 18px;
    margin: 18px 0;
    
}

.links .links-main{
    border-right: 1px solid rgba(0, 0, 0, 0.3);
    padding: 4px 26px 4px 0;
    color: rgba(0, 0, 0, 0.5);
}

.links .links-active{
    padding: 4px 0 4px 26px;
    color: rgba(197, 0, 3, 0.8);
}


h1{
    text-transform: uppercase;
    font-weight: 600;
    margin-bottom: 8px;
}

/* Новости */

.news-btn{
    cursor: pointer;
    text-transform: uppercase;
    font-size: 14px;
    line-height: 42px;
    padding: 0 24px;
    background-color: #878787;
    border: none;
    color: #fff;
    text-align: center;
    text-decoration: underline;
    margin: 16px 0;
    transition: all 0.4s ease-in-out;
}

.news-btn:hover{
    background-color: #be1a1d;
}
.news-card{
    max-width: 375px;
}
.card-photo{
    height: 250px;
    position: relative;
    margin: 0;
}
.news-card .card-photo img{
    height: auto;
    width: 400px;
    transition: all 0.4s ease-in-out;
}

.news-card .card-photo span{
    position: absolute;
    left: 20px;
    top: 15px;
    color: #302f2d;
    padding: 10px;
    background-color: #fff;
    font-size: 12px;
    border: 1px solid #878787;
    text-transform: uppercase;
}

.card-info{
    max-width: 375px;
    background-color: #f0f0f0;
    padding: 20px;
    margin: 0;
    position: relative;
}

.card-info-btn{
    cursor: pointer;
    font-size: 15px;
    line-height: 42px;
    min-width: 150px;
    background-color: #878787;
    transition: all .3s ease-in-out;
    color: #fff;
    text-align: center;
    vertical-align: middle;
    padding: 0 15px;
    text-transform: uppercase;
    border: none;
    margin: 16px 25%;
}

.card-info-btn:hover{
    background-color: #383838;
}

.card-info .news-header{
    color: #302f2d;
    overflow: hidden;
    font-weight: 600;
    text-transform: uppercase;
    font-size: 20px;
}

.card-info .date{
    color: #878787;
    font-size: 14px;
    font-weight: 400;
    position: absolute;
    right: 20px;
    bottom: 20px;
}

.news-block{
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.news-more{
    cursor: pointer;
    width: 100%;
    line-height: 52px;
    background-color: #be1a1d;
    transition: all .3s ease-in-out;
    color: #fff;
    vertical-align: middle;
    padding: 0 15px;
    text-align: center;
    text-decoration: none;
    font-size: 15px;
    font-weight: 400;
    text-transform: uppercase;
    border: none;
    margin: 20px 0 0 0;
}

.news-more:hover{
    background-color: #da1d20;
}

/* Новости */

/* Контакты */

.main-contacts{
    display: grid;
    grid-template-columns: 1.5fr 0.5fr;
    gap: 10px;
    padding-top: 20px ;
}
.novigate-info{
    padding: 20px;
    background-color: #f0f0f0;
}

.novigate-photo{
    max-height: 400px;
}

.novigate-info h3{
    color: #302f2d;
    font-size: 20px;
    margin: 0 0 16px;
    font-weight: 600;
    text-transform: uppercase;
}
.novigate-info p{
    color: #302f2d;
    font-size: 14px;
}

.novigate-info button{
    cursor: pointer;
    background-color: #da1d20;
    line-height: 52px;
    color: #fff;
    vertical-align: middle;
    padding: 0 15px;
    text-align: center;
    text-decoration: none;
    font-size: 15px;
    font-weight: 400;
    text-transform: uppercase;
    border: none;
    transition: all 0.4s ease-in-out;
    margin: 10px 0 0 6%;
}

.novigate-info button:hover{
    background-color: #be1a1d;
}

.left-container-text{
    color: #302f2d;
    font-size: 20px;
    margin: 0 0 16px;
    font-weight: 400;
    text-transform: uppercase;
}

.left-container h2{
    color: #302f2d;
    font-size: 35px;
    margin: 8px 0 16px;
    font-weight: 400;
    text-transform: uppercase;
}

.adress-text{
    margin: 3px 0;
}

.manag-card{
    background-color: #fff;
    padding: 20px;
    min-height: 200px;
    border: 1px solid #bdbdbd;
    max-width: 325px;
}

.manag-card .job{
    color: #878787;
    font-size: 14px;
    margin: 0 0 16px;
}

.manag-card .fio{
    font-size: 20px;
    font-weight: 600;
    text-transform: uppercase;
    color: #302f2d;
    margin: 0 0 10px;
}

.manag-card .manag-phone{
    margin: 0 0 10px;
}

.manag-block, .workers-block{
    display: flex;
    flex-flow:wrap;
    gap: 10px;
}


/* Контакты */

footer{
    background-color: #DB0002;
    padding: 10px 0;
    margin-top: 50px;
}

.footer-container{
    color: #fff;
    display: flex;
    justify-content: space-between;
}

.media-block img{
    width: 50px;
    height: auto;
}

.contacts{
    width: 500px;
}

.contacts p{
    margin-bottom:4px;
}

.contacts a{
    text-decoration: none;
    color: #fff;
}

.media-block{
    list-style: none;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 5px;
    margin: 8px;

}
.social-media{
    display: flex;
    justify-content: space-between;
}
.social-media p{
    width:270px;
}

@media (max-width: 1000px){
    .nav-menu li{
        font-size: 14px;
    }
    footer{
        font-size: 14px;
    }
}

@media (max-width: 864px) {
    .main-contacts{
        grid-template-columns: 1fr;
    }
    .novigate-info{
        width: 360px;
    }
}

@media (max-width: 768px) {
    .footer-container{
        flex-direction: column;
        justify-content: flex-start;
    }
    .burger-menu{
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        padding: 10px 0;
    }
    .burger-menu span{
        color: #fff;
        font-weight: 700;
        text-transform: uppercase;
    }
    .burger-menu .burger-img{
        cursor: pointer;
        width: 40px;
        height: 40px;
        background-image: url('/_assets/elements/menu.png');
        background-position: center;
        background-size: cover;
        transition: all 0.3s ease;
    }
    .nav-menu{
        display: grid;
        grid-template-rows: repeat(2, 1fr);
        grid-template-columns: repeat(4, 1fr);
        transition: all 1s ease-in;
    }
    .nav-menu li{
        justify-self: center;
    }
    .nav-menu{
        display: none;
    }
}

@media (max-width: 560px) {
    .center{
        width: 100%;
        padding: 8px;
    }
    .header-container{
        width:400px;
        font-size: 14px;
    }
    .header-container .logo img{
        width: 100px;
    }
    .contacts{
        width: 80%;
        font-size: 14px;
    }
    .social-media{
        justify-content: flex-start;
        flex-direction: column;
    }
    .media-block{
        margin: 8px 0;
    }

    .manag-block, .workers-block{
        display: flex;
        flex-flow:wrap;
        align-items: center;
        justify-content: center;
    }

    .novigate-card{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .left-container h1, .left-container h2, .adress-text{
        text-align: center;
    }
    .left-container-text{
        font-size: 14px;
        text-align: justify;
    }
}
@media (max-width: 430px){
    .left-container h2{
        font-size: 30px;
    }
    .nav-menu{
        grid-template-rows: repeat(3, 1fr);
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (max-width:400px) {
    .header-container{
        width:300px;
        font-size: 14px;
    }
    .header-container .logo img{
        width: 75px;
    }
}

@media (max-width: 380px) {
    .news-card{
        max-width: 318px;
    }
    .card-info{
        max-width: 318px;
    }
    .news-card .card-photo img{
        height: auto;
        width: 318px;
    }
    .card-photo{
        height: 211px;
    }
    .card-info .date{
        right: 20px;
        bottom: 10px;
    }

    .novigate-photo{
        max-height: 177px;
    }
    .novigate-photo img{
        width: 318px;
        height: auto;
    }
    .novigate-info {
        width: 318px;
    }

    .novigate-info button {
        font-size: 12px;
    }
    
}